org.jboss.jca.deployers.common

## Interface Configuration

-     public interface Configuration

  Configuration interface
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getArchiveValidation()` Should archive validation be performed
    `boolean` | `getArchiveValidationFailOnError()` Does a failed archive validation error report fail the deployment
    `boolean` | `getArchiveValidationFailOnWarn()` Does a failed archive validation warning report fail the deployment
    `boolean` | `getBeanValidation()` Should bean validation be performed
    `java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext>` | `getBootstrapContexts()` Deprecated.
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `getDefaultBootstrapContext()` Deprecated.
    `void` | `setArchiveValidation(boolean value)` Set if archive validation should be performed
    `void` | `setArchiveValidationFailOnError(boolean value)` Set if a failed error archive validation report should fail the deployment
    `void` | `setArchiveValidationFailOnWarn(boolean value)` Set if a failed warning archive validation report should fail the deployment
    `void` | `setBeanValidation(boolean value)` Set if bean validation should be performed
    `void` | `setBootstrapContexts(java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> value)` Deprecated.
    `void` | `setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext value)` Deprecated.

- - ### Method Detail

    - #### setBeanValidation

          void setBeanValidation(boolean value)

      Set if bean validation should be performed
      Parameters:
        `value` - The value

    - #### getBeanValidation

          boolean getBeanValidation()

      Should bean validation be performed
      Returns:
        True if validation; otherwise false

    - #### setArchiveValidation

          void setArchiveValidation(boolean value)

      Set if archive validation should be performed
      Parameters:
        `value` - The value

    - #### getArchiveValidation

          boolean getArchiveValidation()

      Should archive validation be performed
      Returns:
        True if validation; otherwise false

    - #### setArchiveValidationFailOnWarn

          void setArchiveValidationFailOnWarn(boolean value)

      Set if a failed warning archive validation report should fail the deployment
      Parameters:
        `value` - The value

    - #### getArchiveValidationFailOnWarn

          boolean getArchiveValidationFailOnWarn()

      Does a failed archive validation warning report fail the deployment
      Returns:
        True if failing; otherwise false

    - #### setArchiveValidationFailOnError

          void setArchiveValidationFailOnError(boolean value)

      Set if a failed error archive validation report should fail the deployment
      Parameters:
        `value` - The value

    - #### getArchiveValidationFailOnError

          boolean getArchiveValidationFailOnError()

      Does a failed archive validation error report fail the deployment
      Returns:
        True if failing; otherwise false

    - #### setDefaultBootstrapContext

          @Deprecated
          void setDefaultBootstrapContext(org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext value)

      Deprecated.
      Set the default bootstrap context
      Parameters:
        `value` - The value

    - #### getDefaultBootstrapContext

          @Deprecated
          org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext getDefaultBootstrapContext()

      Deprecated.
      Get the default bootstrap context
      Returns:
        The handle

    - #### setBootstrapContexts

          @Deprecated
          void setBootstrapContexts(java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> value)

      Deprecated.
      Set the bootstrap context map
      Parameters:
        `value` - The value

    - #### getBootstrapContexts

          @Deprecated
          java.util.Map<java.lang.String,org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext> getBootstrapContexts()

      Deprecated.
      Get the bootstrap context map
      Returns:
        The handle

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)